################################################################################
#                       REST API Specification in YAML                         #
################################################################################

# Swagger API specification version
swagger: '2.0'

################################################################################
#                                API Metadata                                  #
################################################################################
#    ![Halyk Bank (Halyk Bank) (logo_hb.jpg)
info:
  title: Realtime-XLS REST API
  description: |
    <p align="center">
      <img src="xls.png" alt="fab" title="Halyk Bank" margin-left="auto" margin-right="auto"/>
    </p>

    Realtime-XLS REST API for Halyk Bank project based on Ayer Rock B2 :
    - v1
        - [Transaction](/?url=swagger/XLSARB3/03-Transaction_API/01-Specification/transaction_api_v1.yaml) 
        - [Merchant](/?url=swagger/XLSARB3/06-Merchant_API/01-Specification/merchant_api_v1.yaml)
    - v2
        - [Campaign](/?url=swagger/XLSARB3/04-Campaign_API/01-Specification/campaign_api_v2.yaml)

  termsOfService: https://www.collinsongroup.com/terms-of-use
  contact:
    name: Collinson
    url: https://www.collinsongroup.com/
    email: info.welcome-xls@collinsongroup.com
  license:
    name: 2019 - Collinson
  version: '1.01'

################################################################################
#                  Host, Base Path, Schemes and Content Types                  #
################################################################################
# Domain of the service
host: api.wrtloyalty.com
# Base path serving the API
basePath: /
# List of all schemes that OPC API supports
schemes:
  - https
# Format of bodies a client can send (Content-Type)
consumes:
  - application/json
# Format of the responses to the client (Accepts)
produces:
  - application/json

################################################################################
paths: {}
